package com.manager.sport.ua.web.api;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.http.HttpStatus;
import org.springframework.http.MediaType;
import org.springframework.http.ResponseEntity;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.RestController;

import com.manager.sport.ua.db.UserRepository;
import com.manager.sport.ua.entity.User;

@RestController
@RequestMapping(value="/v1/users")
public class UserController {
	
	private final UserRepository userRepository;

	@Autowired
	public UserController(
			UserRepository userRepository) {
		super();
		this.userRepository = userRepository;
	}
	
	@RequestMapping(method = RequestMethod.POST, value="/authentication", produces = MediaType.APPLICATION_JSON_UTF8_VALUE)
	//@Transactional(readOnly=true)
	public ResponseEntity<Boolean> autenticate(@RequestBody User user){
		String email = user.getEmail();
		String password = user.getPassword();
		return new ResponseEntity<>(userRepository.authenticated(email, password), HttpStatus.OK);
	}	

}
